logLik {Rlda} | R Documentation

## Provide the log-likelihood for the rlda object.

### Description

Takes a `rlda` object produced and provides the log-likelihood.

### Usage

      ## S3 method for class 'rlda'
    logLik(object, ...)

### Arguments

`object` | a `rlda` object
`...` | other arguments may be useful.

### Details

Get the log-likelihood of the model.

### Author(s)

- Pedro Albuquerque.
  pedroa@unb.br
  http://pedrounb.blogspot.com/

- Denis Valle.
  drvalle@ufl.edu
  http://denisvalle.weebly.com/

- Daijiang Li.
  daijianglee@gmail.com

### See Also

`rlda.binomial`, `rlda.bernoulli`,`rlda.multinomial`

### Examples

    ## Not run:
    		library(Rlda)
    		#Load data
        data(presence)
        #Set seed
        set.seed(9842)
        #Hyperparameters for each prior distribution
        gamma <-0.01
        alpha0<-0.01
        alpha1<-0.01
        #Execute the LDA for the Binomial entry
        res<-rlda.bernoulli(presence, 10, alpha0, alpha1, gamma,
                            5000, TRUE, FALSE)
    		#log-likelihood
    		logLik(res)

    ## End(Not run)

[Package Rlda version 0.2.6 Index]